"Delete Ring" - snap tolerance warning

2013-10-16 06:04 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17553

Description

If I try and delete a ring (advanced digitising), but there is no ring where I click, I get a warning pop up:

"Snap tolerance: Could not snap segment. Have you set the tolerance in Settings > Snapping Options?"

I even get this if it is a single part polygon (and thus it's impossible to have a ring!). QGIS should check to see if there's an innerRing and

give an appropriate error message.

Associated revisions

Revision 9a8b7c55 - 2014-03-17 08:02 AM - Denis Rouzaud

better message display in map edit tools (fix #8873) emit signal from map tool, display message in qgisapp

Revision 1a669dc0 - 2014-03-17 08:09 AM - Denis Rouzaud

Merge pull request #1127 from 3nids/fix8873

better message display in map edit tools (fix #8873)

History

#1 - 2013-10-16 06:06 AM - Giovanni Manghi

- Status changed from Open to Feedback

the tool works when clicking on a node of a ring (or a part, in case of the delete part tool).

Why is not possible to have a ring in a single part polygon?

#2 - 2013-10-16 06:13 AM - Jonathan Moules

You are right that the tool works when there is a ring (or part).

However this bug report is dealing with the fail case.

I was under the impression that to create a ring required it to be a multi-part polygon. I might be wrong, but either way the application should be able to

determine whether there is an interior ring and if not provide the proper error.

2024-04-24 1/2



Only if there is an inner ring and the user misses it should this particular error appear. In all other circumstances it will mislead the user.

I also get the same error when I click a single part polygon and try to delete a "part".

#3 - 2014-01-29 07:36 AM - Denis Rouzaud

https://github.com/qgis/QGIS/pull/1127

#4 - 2014-03-17 12:10 AM - Denis Rouzaud

- Status changed from Feedback to Closed

Fixed in changeset commit:"1a669dc0242fe17dd696b609bfe31758493ecb4f".
